#!/bin/bash

#-------------------------------------------------------------------------------------
#                          Enviroment variables
#-------------------------------------------------------------------------------------

## NE list
nelist=dataNE.list 
## test data
test=data/test.iob2
## where to save model predictions
result=results/temp.iob2

## an external dictionary
dict=data/dict.txt
## the maximum number of n for n-gram
feature=4

## where to save model params and vocab
model=models/temp.model
vocab=models/temp.vocab

## the hidden size of word/char embedding
hidden_word=512
hidden_char=64

## use dictionary if true
#use_dict=true
use_dict=false

#-------------------------------------------------------------------------------------
#                          Main
#-------------------------------------------------------------------------------------

mkdir -p results

## predict tags 
if $use_dict; then
    python ./scripts/test.py \
        --test_path $test \
        --model_path $model \
        --vocab_path $vocab \
        --dict_path $dict \
        --feature_n $feature \
        --hidden_word_size $hidden_word \
        --hidden_char_size $hidden_char \
    > $result
else
    python ./scripts/test.py \
        --test_path $test \
        --model_path $model \
        --vocab_path $vocab \
        --hidden_word_size $hidden_word \
        --hidden_char_size $hidden_char \
    > $result
fi

## calculate precision, recall, and f-measure
python scripts/accuracy.py \
    --ref $test \
   --hyp $result


